> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payout/submit-a-payout/colombia/banktransfer.md).

# BankTransfer

## Submit a payout by Bank Transfer in Colombia

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com /api/payout`

This endpoint allows you to submit a payout by BankTransfer in Colombia.

#### Headers

| Name                                            | Type   | Description                         |
| ----------------------------------------------- | ------ | ----------------------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; charset=UTF-8     |
| AppId<mark style="color:red;">\*</mark>         | string | Your App ID in payout platform      |
| Authorization<mark style="color:red;">\*</mark> | string | SHA256($sorted\_params + $app\_key) |

#### Request Body

| Name                                                 | Type   | Description                                                                                                                  |
| ---------------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------- |
| name<mark style="color:red;">\*</mark>               | string | Beneficiary's full name, must match the name on the document id. Length must between 5 and 100.                              |
| phone<mark style="color:red;">\*</mark>              | string | <p>Beneficiary's phone</p><p>- Max 15, valid phone -</p>                                                                     |
| email<mark style="color:red;">\*</mark>              | string | <p>Beneficiary 's email<br>- Max 64, valid email -</p>                                                                       |
| bank\_code<mark style="color:red;">\*</mark>         | string | Bank code, see [***bank list​***](/reference/payout/banklist/bank-in-colombia.md)                                            |
| account<mark style="color:red;">\*</mark>            | string | <p>Account</p><p>- 8 \~ 20 digits -</p>                                                                                      |
| account\_type<mark style="color:red;">\*</mark>      | string | Should be one of CHECKING, SAVINGS, ELECTRONIC DEPOSIT                                                                       |
| document\_id<mark style="color:red;">\*</mark>       | string | Beneficiary document id                                                                                                      |
| document\_type<mark style="color:red;">\*</mark>     | string | Beneficiary [***document type***](#account-type), should be one of CC, CE, NIT, NUIP, PAS, PEP, PPT, TI                      |
| method<mark style="color:red;">\*</mark>             | string | Fixed Value: BANKTRANSFER                                                                                                    |
| custom\_code<mark style="color:red;">\*</mark>       | string | <p>Merchant's order id</p><p>- Max.50 -</p>                                                                                  |
| fee\_bear<mark style="color:red;">\*</mark>          | string | <p>All fees charge to merchant or beneficiary<br>- One of: merchant, beneficiary -</p>                                       |
| amount<mark style="color:red;">\*</mark>             | string | <p>Payout amount, should be an Integer.</p><p>- Min 1,000, Max 20,000,000 -</p>                                              |
| amount\_type                                         | string | <p>Specify the amount value is fixed for merchant or beneficiary<br>- One of: source\_amount, arrival\_amount(default) -</p> |
| source\_currency<mark style="color:red;">\*</mark>   | string | <p>Merchant's account currency</p><p>- supported: USD, GBP, EUR, COP -</p>                                                   |
| arrival\_currency<mark style="color:red;">\*</mark>  | string | <p>Beneficiary's account currency.</p><p>- Fixed Value: COP -</p>                                                            |
| notify\_url<mark style="color:red;">\*</mark>        | string | Where pagsmile will callback to                                                                                              |
| additional\_remark<mark style="color:red;">\*</mark> | string | <p>Additional Remark<br>- Max Length: 40 -</p>                                                                               |
| country<mark style="color:red;">\*</mark>            | string | Fixed value: COL, for Colombia                                                                                               |

{% tabs %}
{% tab title="200: OK success" %}

```javascript
{
    "code": 200,
    "msg": "success",
    "time": 1628580845,
    "data": {
        "id": "TS202108100734054iRiUZFPXfQBC",
        "custom_code": "custom_code9982674851738108",
        "arrival_amount": "100",
        "arrival_currency": "COL",
        "source_amount": "0.07",
        "source_currency": "USD",
        "status": "IN_PROCESSING"
    }
}
```

{% endtab %}

{% tab title="400: Bad Request bad request" %}

```javascript
{
    "code": 4001000,
    "msg": "invalid parameter",
    "time": 1637224716,
    "data": {
        "err": "error detail message"
    }
}
```

{% endtab %}

{% tab title="401: Unauthorized unautorized" %}

```javascript
{
    "code": 4004003,
    "msg": "permission denied",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error fee not configured" %}

```javascript
{
    "code": 5001003,
    "msg": "fee not configured",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error balance insufficient" %}

```javascript
{
    "code": 5001102,
    "msg": "balance insufficient",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error system error" %}

```javascript
{
    "code": 5001000,
    "msg": "system error",
    "time": 1637224716,
    "data": {
        "err": "error detail message"
    }
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://sandbox.transfersmile.com/api/payout' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "name" : "GUILHERME ****** SOUZA",
    * "phone" : "468****068", // phone is required
    * "email" : "g******me@gmail.com", // email is required
    * "bank_code": "1007", // Bancolombia
    * "account" : "002194002546406543", // just for test in sandbox
    * "account_type" : "CHECKING",
    * "document_id" : "123456789", // just for test in sandbox, don't use this in production.
    * "document_type" : "CC",
    * "method" : "BANKTRANSFER",
    * "custom_code" : "custom_code9982674851738108",
    * "fee_bear" : "merchant",
    * "amount" : "100", //Amount must be an integer, the fraction is not supported (e.g. 100 or 100.00 is acceptable, but 100.01 is not)
    * "source_currency" : "COP",
    * "arrival_currency" : "COP",
    * "notify_url" : "https://notify.url",
    * "additional_remark" : "pagsmile payout test",
    * "country": "COL"
}'
```

{% hint style="info" %}
Note: ***94FAC\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*68548*** is Pagsmile's test App ID for sandbox, and ***d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302*** is authorization token associated with the test App ID.
{% endhint %}

## Document Type

| Name | Explanation                             | Length          | Type       |
| ---- | --------------------------------------- | --------------- | ---------- |
| CC   | Cédula de Ciudadanía                    | Between 6 to 10 | numeric    |
| CE   | Cédula de Extranjería                   | up to 12        | characters |
| NIT  | Número de Identificación Tributaria     | 9 to 10         | numeric    |
| NUIP | Número Único de Identificación Personal | 10              | numeric    |
| PAS  | Pasaporte                               | up to 9         | numeric    |
| PEP  | Permiso Especial de Permanencia         | up to 15        | numeric    |
| PPT  | Permiso de Protección Temporal          | up to 15        | characters |
| TI   | Tarjeta de Identidad                    | 6 to 10         | numeric    |

## Example of Account

| Account Type       | Account              | Description   |
| ------------------ | -------------------- | ------------- |
| CHECKING           | 1\*\*\*\*\*\*\*\*\*6 | 8 - 20 digits |
| SAVINGS            | 2\*\*\*\*\*\*\*\*\*8 | 8 - 20 digits |
| ELECTRONIC DEPOSIT | 2\*\*\*\*\*\*\*\*\*8 | 8 - 20 digits |
